## ros-eloquent-rviz-assimp-vendor 7.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_assimp_vendor)

find_package(ament_cmake REQUIRED)

set(PACKAGE_VERSION "1.0.0")

macro(build_assimp)
  set(extra_cmake_args)
  if(DEFINED CMAKE_BUILD_TYPE)
    list(APPEND extra_cmake_args -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE})
  endif()
  if(WIN32)
    # the /EHsc flag is needed to prevent warnings within the assimp build
    list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=/w /EHsc")
    list(APPEND extra_cmake_args "-DCMAKE_C_FLAGS=/w")
  else()
    list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=-std=c++14 -w")
    list(APPEND extra_cmake_args "-DCMAKE_C_FLAGS=-w")
  endif()

  list(APPEND extra_cmake_args "-DASSIMP_BUILD_ASSIMP_TOOLS=OFF")
  list(APPEND extra_cmake_args "-DASSIMP_BUILD_TESTS=OFF")
  list(APPEND extra_cmake_args "-DASSIMP_BUILD_SAMPLES=OFF")

  if(WIN32 AND NOT ${CMAKE_VERBOSE_MAKEFILE})
    set(should_log ON)  # prevent warnings in Windows CI
  else()
    set(should_log OFF)
  endif()

  include(ExternalProject)
  ExternalProject_Add(assimp-4.1.0
    URL https://github.com/assimp/assimp/archive/v4.1.0.tar.gz
    URL_MD5 83b53a10c38d964bd1e69da0606e2727
    TIMEOUT 600
    LOG_CONFIGURE ${should_log}
    LOG_BUILD ${should_log}
    CMAKE_ARGS
      -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/assimp_install
      ${extra_cmake_args}
      -Wno-dev
  )

  # The external project will install to the build folder, but we'll install that on make install.
  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/assimp_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}/opt/rviz_assimp_vendor
  )
endmacro()

find_package(assimp QUIET)

if(NOT assimp_FOUND OR "${assimp_VERSION}" VERSION_LESS 4.1.0)
  build_assimp()

  if(WIN32)
    ament_environment_hooks(env_hook/rviz_assimp_vendor_library_path.bat)
    set(ENV_VAR_NAME "PATH")
    set(ENV_VAR_VALUE "opt\\rviz_assimp_vendor\\bin")
  else()
    ament_environment_hooks(env_hook/rviz_assimp_vendor_library_path.sh)
    if(APPLE)
      set(ENV_VAR_NAME "DYLD_LIBRARY_PATH")
    else()
      set(ENV_VAR_NAME "LD_LIBRARY_PATH")
    endif()
    set(ENV_VAR_VALUE "opt/rviz_assimp_vendor/lib")
  endif()
  ament_environment_hooks(env_hook/rviz_assimp_vendor_library_path.dsv.in)
endif()

ament_package(
  CONFIG_EXTRAS "rviz_assimp_vendor-extras.cmake.in"
)

=== debian/changelog ===
ros-eloquent-rviz-assimp-vendor (7.0.7-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 02 Dec 2020 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (7.0.6-1bionic) bionic; urgency=high

  * Update maintainer list (#618 <https://github.com/ros2/rviz/issues/618>)
  * Contributors: Michael Jeronimo

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 27 Oct 2020 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (7.0.5-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 17 Apr 2020 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (7.0.4-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 17 Jan 2020 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (7.0.3-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (7.0.2-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (7.0.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (7.0.0-1bionic) bionic; urgency=high

  * Add .dsv file beside custom environment hook (#466 <https://github.com/ros2/rviz/issues/466>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (6.1.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 29 May 2019 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (6.1.0-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 20 May 2019 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (6.0.0-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 08 May 2019 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (5.1.0-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 14 Jan 2019 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (5.0.0-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 04 Dec 2018 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (4.0.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (4.0.0-1bionic) bionic; urgency=high

  * Fixed the exported CMake variables to workaround the upstream ``libassimp-dev`` bug. (#288 <https://github.com/ros2/rviz/issues/288>)
  * Contributors: Andreas Holzner, Dirk Thomas, Martin Idel

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (3.0.0-1bionic) bionic; urgency=high

  * Switched to assimp version 4.1.0. (#169 <https://github.com/ros2/rviz/issues/169>)

 -- William Woodall <william@osrfoundation.org>  Wed, 07 Feb 2018 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (2.0.0-1bionic) bionic; urgency=high

  * First version for ROS 2.
  * Contributors: Steven! Ragnarok, William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Dec 2017 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (1.12.11-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 02 Aug 2017 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (1.12.10-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 05 Jun 2017 17:37:00 -0000

ros-eloquent-rviz-assimp-vendor (1.12.9-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 05 Jun 2017 14:23:00 -0000

ros-eloquent-rviz-assimp-vendor (1.12.8-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 07 May 2017 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (1.12.7-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 05 May 2017 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (1.12.6-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 May 2017 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (1.12.5-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 01 May 2017 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (1.12.4-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (1.12.3-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 19 Oct 2016 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (1.12.2-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 18 Oct 2016 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (1.12.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 20 Apr 2016 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (1.12.0-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 11 Apr 2016 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (1.11.14-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 03 Apr 2016 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (1.11.13-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (1.11.12-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 22 Mar 2016 19:58:00 -0000

ros-eloquent-rviz-assimp-vendor (1.11.11-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 22 Mar 2016 18:16:00 -0000

ros-eloquent-rviz-assimp-vendor (1.11.10-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 13 Oct 2015 00:00:00 -0000

ros-eloquent-rviz-assimp-vendor (1.11.9-1bionic) bionic; urgency=high





=== debian/control ===
Source: ros-eloquent-rviz-assimp-vendor
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, ros-eloquent-ament-cmake, ros-eloquent-ros-workspace
Homepage: http://assimp.sourceforge.net/index.html
Standards-Version: 3.9.2

Package: ros-eloquent-rviz-assimp-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, ros-eloquent-ros-workspace
Description: Wrapper around assimp, providing nothing but a dependency on assimp, on some systems.
 On others, it provides a fixed CMake module or even an ExternalProject build of assimp.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-rviz-assimp-vendor//opt/ros/eloquent/lib/:$(CURDIR)/debian/ros-eloquent-rviz-assimp-vendor//opt/ros/eloquent/opt/rviz_assimp_vendor/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
